

Patch from Oleg Drokin <green@namesys.com>

     There is trivial memleak on error exit path in nfsd.



 fs/nfsd/export.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN fs/nfsd/export.c~nfsd-memleak-fix fs/nfsd/export.c
--- 25/fs/nfsd/export.c~nfsd-memleak-fix	2003-03-11 08:43:42.000000000 -0800
+++ 25-akpm/fs/nfsd/export.c	2003-03-11 08:43:42.000000000 -0800
@@ -294,7 +294,10 @@ int svc_export_parse(struct cache_detail
 
 	/* client */
 	len = qword_get(&mesg, buf, PAGE_SIZE);
-	if (len <= 0) return -EINVAL;
+	if (len <= 0) {
+		err = -EINVAL;
+		goto out;
+	}
 	err = -ENOENT;
 	dom = auth_domain_find(buf);
 	if (!dom)

_
